Subject: Re: bug#54646: 29.0.50; set-fontset-font and font clipping issues

From: Visuwesh <[email-masked]>
Date: Sun, 12 Jun 2022 10:19:24 +0530

[Saturday June 11, 2022] Visuwesh wrote:

> [வெள்ளி ஏப்ரல் 22, 2022] Eli Zaretskii wrote:
>
> I think this might be a cairo+pango problem.  My suspicion is due to
> this bug report https://github.com/harfbuzz/harfbuzz/issues/1892 --
> although I don't see the problem with English text as shown in the
> screenshots.
>
> I tried to turn off font metrics in cairo by applying the following
> patch,
>
>
>
> but that did not solve the issue.
>
> However, I have been using the xft+harfbuzz combo for a ~week now and I
> can say with confidence that I don't experience this strange issue.  I
> would highly appreciate it if the decision to remove the xft backend
> could be delayed until a solution comes up [1].  Although the font
> rendering is worse, the text stays readable at all font sizes.
>
>
> [1] ./configure --with-cairo says,
>
>     configure: WARNING: This configuration uses libXft, which has a number of
>         font rendering issues, and is being considered for removal in the
>         next release of Emacs.  Please consider using Cairo graphics +
>         HarfBuzz text shaping instead (they are auto-detected if the
>         relevant development headers are installed).

I forgot to mention: I tried the patch with cairo 1.17.4 to no avail either.